Subject: bug#29889: 27.0.50; Slow visual selection

From: Po Lu <[email-masked]>
Date: Sun, 22 May 2022 20:07:56 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> What's the equivalent of `C-f' in Firefox in this situation?  If you
> mean "adjusting the area with the mouse", then that's already covered by
> the definition of `only'.

Programmatically, via JavaScript:

  window.getSelection ().modify ("extend", "forward", "character");

or shift-selection.  The point is, whatever is displayed in the region
face must be sent to requestors asking for the primary selection.  We
should not invent distinctions between shift-selection, mouse dragging,
and cursor movement.